Subject: Re: bug#67030: 29.1; [tex-mode] When latex-run-command is set tex-start-options is ignored

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Nov 2023 15:59:59 +0200

> From: Jeff Trull <[email-masked]>
> Date: Thu, 9 Nov 2023 14:45:22 -0800
> 
> I have latex-run-command set to "pdflatex" in my init.el. I recently
> began using (setq tex-start-options "-shell-escape") to enable using the
> standalone class to produce svg images. Unfortunately tex-compile does
> not add -shell-escape to the command line when I do this.
> 
> I notice that in commit 00501d7 support for tex-start-options was added
> to the tex-compile-commands definition at line 2129. However it was not
> added to a similar expression at 2136, and this seems to be the case
> that is hit for a custom tex-run-command. When I make the analogous
> change at that point the problem is resolved and the expected command
> line is produced. 

Thanks, I added tex-start-options to the other place as well (on the
master branch), and I'm therefore closing this bug.